cutlass::reference::host::detail::TensorForEachHelper< Func, Rank, 0 > Struct Template Reference

Helper to perform for-each operation.

`#include <tensor_foreach.h>`

## Public Member Functions

| TensorForEachHelper (Func &func, Coord< Rank > const &extent, Coord< Rank > &coord)
| Constructor for fastest changing rank. More...

## Static Public Attributes

static int const | kActiveRank = Rank - 1
| Index of the active rank. More...

## Constructor & Destructor Documentation

template<typename Func , int Rank>

cutlass::reference::host::detail::TensorForEachHelper< Func, Rank, 0 >::TensorForEachHelper | ( | Func & | func,
|  | Coord< Rank > const & | extent,
|  | Coord< Rank > & | coord
| ) |  |

inline

## Member Data Documentation

template<typename Func , int Rank>

int const cutlass::reference::host::detail::TensorForEachHelper< Func, Rank, 0 >::kActiveRank = Rank - 1

static

The documentation for this struct was generated from the following file:

- host/tensor_foreach.h